import React from "react";
import "./ZoneD.scss";
import DragZone from "../DragZone/Dragzone";
import Banana from "../../images/banana-png.png";
import Verre from "../../images/1.PNG";
import Carton from "../../images/2.PNG";
import Coca from "../../images/4.PNG";
import Milk from "../../images/5.PNG";
import Bouteille from "../../images/6.PNG";
import Apple from "../../images/7.PNG";
import Paper from "../../images/8.PNG";
import Orange from "../../images/9.png";
import Pizza from "../../images/10.png";
import Conserve from "../../images/11.png";
import Spaguetti from "../../images/12.png";
import Overstim from "../../images/13.png";
import Pasta from "../../images/14.png";
import Malt from "../../images/15.png";
import Meat from "../../images/16.png";

const ZoneD = (
  { setPourcent,
    pourcent,
    pTop,
    pBottom,
    pLeft,
    pRight,
    paTop,
    paBottom,
    paLeft,
    paRight,  
    vTop,
    vBottom,
    vLeft,
    vRight, 
    oTop,
    oBottom,
    oLeft,
    oRight, 
    mTop,
    mBottom,
    mLeft,
    mRight, 
  
  }
  ) => {
  return (
    <>
      <div className="déchets-wrapper">
        <DragZone
          pTop={pTop}
          pBottom={pBottom}
          pRight={pRight}
          pLeft={pLeft}
          mTop={mTop}
          mBottom={mBottom}
          mRight={mRight}
          mLeft={mLeft}
          vTop={vTop}
          vBottom={vBottom}
          vRight={vRight}
          vLeft={vLeft}
          oTop={oTop}
          oBottom={oBottom}
          oRight={oRight}
          oLeft={oLeft}
          paTop={paTop}
          paBottom={paBottom}
          paRight={paRight}
          paLeft={paLeft}
          pourcent={pourcent}
          setPourcent={setPourcent}
          item={Banana}
          name="banane"
          toastMsg="La peau de banane participe au développement des micro-organismes qui jouent un rôle essentiel dans le processus du compostage"
        />
        <DragZone
          pTop={pTop}
          pBottom={pBottom}
          pRight={pRight}
          pLeft={pLeft}
          mTop={mTop}
          mBottom={mBottom}
          mRight={mRight}
          mLeft={mLeft}
          vTop={vTop}
          vBottom={vBottom}
          vRight={vRight}
          vLeft={vLeft}
          oTop={oTop}
          oBottom={oBottom}
          oRight={oRight}
          oLeft={oLeft}
          paTop={paTop}
          paBottom={paBottom}
          paRight={paRight}
          paLeft={paLeft}
          pourcent={pourcent}
          setPourcent={setPourcent}
          item={Apple}
          name="pomme"
          toastMsg="Les trognon de pommes prennent 3 à 6 mois à se décomposer."
        />
        <DragZone
          pTop={pTop}
          pBottom={pBottom}
          pRight={pRight}
          pLeft={pLeft}
          mTop={mTop}
          mBottom={mBottom}
          mRight={mRight}
          mLeft={mLeft}
          vTop={vTop}
          vBottom={vBottom}
          vRight={vRight}
          vLeft={vLeft}
          oTop={oTop}
          oBottom={oBottom}
          oRight={oRight}
          oLeft={oLeft}
          paTop={paTop}
          paBottom={paBottom}
          paRight={paRight}
          paLeft={paLeft}
          pourcent={pourcent}
          setPourcent={setPourcent}
          item={Verre}
          name="verre"
          toastMsg="le verre peut mettre jusqu'à 4000 ans pour se dégrader dans la nature"
        />
        <DragZone
          pTop={pTop}
          pBottom={pBottom}
          pRight={pRight}
          pLeft={pLeft}
          mTop={mTop}
          mBottom={mBottom}
          mRight={mRight}
          mLeft={mLeft}
          vTop={vTop}
          vBottom={vBottom}
          vRight={vRight}
          vLeft={vLeft}
          oTop={oTop}
          oBottom={oBottom}
          oRight={oRight}
          oLeft={oLeft}
          paTop={paTop}
          paBottom={paBottom}
          paRight={paRight}
          paLeft={paLeft}
          pourcent={pourcent}
          setPourcent={setPourcent}
          item={Paper}
          name="papier"
          toastMsg="Chaque Français consomme environ 135 kg de papier par an, qui provient en partie de forêts qui ne sont pas forcément gérées durablement et qui voient donc leur écosystème détruit irrémédiablement."
        />
        <DragZone
          pTop={pTop}
          pBottom={pBottom}
          pRight={pRight}
          pLeft={pLeft}
          mTop={mTop}
          mBottom={mBottom}
          mRight={mRight}
          mLeft={mLeft}
          vTop={vTop}
          vBottom={vBottom}
          vRight={vRight}
          vLeft={vLeft}
          oTop={oTop}
          oBottom={oBottom}
          oRight={oRight}
          oLeft={oLeft}
          paTop={paTop}
          paBottom={paBottom}
          paRight={paRight}
          paLeft={paLeft}
          pourcent={pourcent}
          setPourcent={setPourcent}
          item={Orange}
          name="orange"
          toastMsg="les peaux d’agrumes mettent du temps à se décomposer car leur épiderme est couvert d’une cire, qui constitue une « barrière à bactéries ». les agrumes sont acides et leur apport risque d’acidifier le compost ; les agrumes peuvent être fortement traités et cela peut nuire aux micro-organismes présents dans le compost."
        />
        <DragZone
          pTop={pTop}
          pBottom={pBottom}
          pRight={pRight}
          pLeft={pLeft}
          mTop={mTop}
          mBottom={mBottom}
          mRight={mRight}
          mLeft={mLeft}
          vTop={vTop}
          vBottom={vBottom}
          vRight={vRight}
          vLeft={vLeft}
          oTop={oTop}
          oBottom={oBottom}
          oRight={oRight}
          oLeft={oLeft}
          paTop={paTop}
          paBottom={paBottom}
          paRight={paRight}
          paLeft={paLeft}
          pourcent={pourcent}
          setPourcent={setPourcent}
          item={Spaguetti}
          name="spaguetti"
          toastMsg="Environ 16 millions de tonnes de pâtes ont été produites en 2019 dans le monde dont 3,5 millions de tonnes en Italie"
        />
        <DragZone
          pTop={pTop}
          pBottom={pBottom}
          pRight={pRight}
          pLeft={pLeft}
          mTop={mTop}
          mBottom={mBottom}
          mRight={mRight}
          mLeft={mLeft}
          vTop={vTop}
          vBottom={vBottom}
          vRight={vRight}
          vLeft={vLeft}
          oTop={oTop}
          oBottom={oBottom}
          oRight={oRight}
          oLeft={oLeft}
          paTop={paTop}
          paBottom={paBottom}
          paRight={paRight}
          paLeft={paLeft}
          pourcent={pourcent}
          setPourcent={setPourcent}
          item={Pizza}
          name="pizza"
          toastMsg="Dans le monde, ce sont environs 448 000 tonnes de pizzas qui sont consommées chaque année."
        />
        <DragZone
          pTop={pTop}
          pBottom={pBottom}
          pRight={pRight}
          pLeft={pLeft}
          mTop={mTop}
          mBottom={mBottom}
          mRight={mRight}
          mLeft={mLeft}
          vTop={vTop}
          vBottom={vBottom}
          vRight={vRight}
          vLeft={vLeft}
          oTop={oTop}
          oBottom={oBottom}
          oRight={oRight}
          oLeft={oLeft}
          paTop={paTop}
          paBottom={paBottom}
          paRight={paRight}
          paLeft={paLeft}
          pourcent={pourcent}
          setPourcent={setPourcent}
          item={Conserve}
          name="conserve"
          toastMsg="Une boite de conserve peut mettre 50 à 100 ans à se décomposer dans la nature"
        />
        <DragZone
          pTop={pTop}
          pBottom={pBottom}
          pRight={pRight}
          pLeft={pLeft}
          mTop={mTop}
          mBottom={mBottom}
          mRight={mRight}
          mLeft={mLeft}
          vTop={vTop}
          vBottom={vBottom}
          vRight={vRight}
          vLeft={vLeft}
          oTop={oTop}
          oBottom={oBottom}
          oRight={oRight}
          oLeft={oLeft}
          paTop={paTop}
          paBottom={paBottom}
          paRight={paRight}
          paLeft={paLeft}
          pourcent={pourcent}
          setPourcent={setPourcent}
          item={Meat}
          name="viande"
          toastMsg="Un kilogramme de viande bovine équivaut à une émission de 27 kg de gaz à effet de serre (GES, en équivalent CO2) ainsi qu'une consommation d'eau de 50L en moyenne pour un kg de viande"
        />
        <DragZone
          pTop={pTop}
          pBottom={pBottom}
          pRight={pRight}
          pLeft={pLeft}
          mTop={mTop}
          mBottom={mBottom}
          mRight={mRight}
          mLeft={mLeft}
          vTop={vTop}
          vBottom={vBottom}
          vRight={vRight}
          vLeft={vLeft}
          oTop={oTop}
          oBottom={oBottom}
          oRight={oRight}
          oLeft={oLeft}
          paTop={paTop}
          paBottom={paBottom}
          paRight={paRight}
          paLeft={paLeft}
          pourcent={pourcent}
          setPourcent={setPourcent}
          item={Malt}
          name="malt"
          toastMsg="Le secteur de la malterie britannique est directement responsable d'environ 300 000 tonnes d'émissions de CO2 par an résultant de l'utilisation de combustibles primaires, principalement du gaz et du pétrole et de l'électricité dans ses opérations"
        />
        <DragZone
          pTop={pTop}
          pBottom={pBottom}
          pRight={pRight}
          pLeft={pLeft}
          mTop={mTop}
          mBottom={mBottom}
          mRight={mRight}
          mLeft={mLeft}
          vTop={vTop}
          vBottom={vBottom}
          vRight={vRight}
          vLeft={vLeft}
          oTop={oTop}
          oBottom={oBottom}
          oRight={oRight}
          oLeft={oLeft}
          paTop={paTop}
          paBottom={paBottom}
          paRight={paRight}
          paLeft={paLeft}
          pourcent={pourcent}
          setPourcent={setPourcent}
          item={Pasta}
          name="pasta sauce"
          toastMsg="en 2016 la France a importé 573 000 t (équivalent frais) de concentrés de tomate, 141 000 t de conserves et 450 000 t de sauces et de Ketchup."
        />
        <DragZone
          pTop={pTop}
          pBottom={pBottom}
          pRight={pRight}
          pLeft={pLeft}
          mTop={mTop}
          mBottom={mBottom}
          mRight={mRight}
          mLeft={mLeft}
          vTop={vTop}
          vBottom={vBottom}
          vRight={vRight}
          vLeft={vLeft}
          oTop={oTop}
          oBottom={oBottom}
          oRight={oRight}
          oLeft={oLeft}
          paTop={paTop}
          paBottom={paBottom}
          paRight={paRight}
          paLeft={paLeft}
          pourcent={pourcent}
          setPourcent={setPourcent}
          item={Overstim}
          name="overstim"
          toastMsg=""
        />
        <DragZone
          pTop={pTop}
          pBottom={pBottom}
          pRight={pRight}
          pLeft={pLeft}
          mTop={mTop}
          mBottom={mBottom}
          mRight={mRight}
          mLeft={mLeft}
          vTop={vTop}
          vBottom={vBottom}
          vRight={vRight}
          vLeft={vLeft}
          oTop={oTop}
          oBottom={oBottom}
          oRight={oRight}
          oLeft={oLeft}
          paTop={paTop}
          paBottom={paBottom}
          paRight={paRight}
          paLeft={paLeft}
          pourcent={pourcent}
          setPourcent={setPourcent}
          item={Coca}
          name="coca cola"
          toastMsg=" Le cycle de recyclage des canettes est particulièrement court : en 60 jours, une canette bien triée peut faire son retour dans les rayons"
        />
        <DragZone
          pTop={pTop}
          pBottom={pBottom}
          pRight={pRight}
          pLeft={pLeft}
          mTop={mTop}
          mBottom={mBottom}
          mRight={mRight}
          mLeft={mLeft}
          vTop={vTop}
          vBottom={vBottom}
          vRight={vRight}
          vLeft={vLeft}
          oTop={oTop}
          oBottom={oBottom}
          oRight={oRight}
          oLeft={oLeft}
          paTop={paTop}
          paBottom={paBottom}
          paRight={paRight}
          paLeft={paLeft}
          pourcent={pourcent}
          setPourcent={setPourcent}
          item={Carton}
          name="carton"
          toastMsg="le carton peut mettre plus de 5 mois pour se dégrader dans la nature"
        />
        <DragZone
          pTop={pTop}
          pBottom={pBottom}
          pRight={pRight}
          pLeft={pLeft}
          mTop={mTop}
          mBottom={mBottom}
          mRight={mRight}
          mLeft={mLeft}
          vTop={vTop}
          vBottom={vBottom}
          vRight={vRight}
          vLeft={vLeft}
          oTop={oTop}
          oBottom={oBottom}
          oRight={oRight}
          oLeft={oLeft}
          paTop={paTop}
          paBottom={paBottom}
          paRight={paRight}
          paLeft={paLeft}
          pourcent={pourcent}
          setPourcent={setPourcent}
          item={Milk}
          name="lait"
          toastMsg="Une brique de lait est composé en moyenne à 75% de carton, 20% de plastique, 5% d'aluminium"
        />
        <DragZone
          pTop={pTop}
          pBottom={pBottom}
          pRight={pRight}
          pLeft={pLeft}
          mTop={mTop}
          mBottom={mBottom}
          mRight={mRight}
          mLeft={mLeft}
          vTop={vTop}
          vBottom={vBottom}
          vRight={vRight}
          vLeft={vLeft}
          oTop={oTop}
          oBottom={oBottom}
          oRight={oRight}
          oLeft={oLeft}
          paTop={paTop}
          paBottom={paBottom}
          paRight={paRight}
          paLeft={paLeft}
          pourcent={pourcent}
          setPourcent={setPourcent}
          item={Bouteille}
          name="bouteille"
          toastMsg="Une bouteille plastique peut mettre de 100 à 1000 ans pour se dégrader dans la nature"
        />
      </div>
    </>
  );
};

export default ZoneD;
